package ink.wgink.module.file.media.pojo.dtos;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MediaDTO
 * @Description: 媒体
 * @Author: wanggeng
 * @Date: 2021/6/13 4:51 下午
 * @Version: 1.0
 */
public class MediaDTO implements Serializable {
    private static final long serialVersionUID = 4546445666757053123L;

    private String fileId;
    private String fileName;
    private String filePath;
    private String fileFullPath;
    private String fileUrl;
    private String fileType;
    private Long fileSize;
    private String fileSummary;
    private String fileMd5;
    private Integer isBack;
    private String staticUrl;

    public String getFileId() {
        return fileId == null ? "" : fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileName() {
        return fileName == null ? "" : fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath == null ? "" : filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileFullPath() {
        return fileFullPath == null ? "" : fileFullPath;
    }

    public void setFileFullPath(String fileFullPath) {
        this.fileFullPath = fileFullPath;
    }

    public String getFileUrl() {
        return fileUrl == null ? "" : fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileType() {
        return fileType == null ? "" : fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Long getFileSize() {
        return fileSize == null ? 0 : fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getFileSummary() {
        return fileSummary == null ? "" : fileSummary;
    }

    public void setFileSummary(String fileSummary) {
        this.fileSummary = fileSummary;
    }

    public String getFileMd5() {
        return fileMd5 == null ? "" : fileMd5;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public Integer getIsBack() {
        return isBack == null ? 0 : isBack;
    }

    public void setIsBack(Integer isBack) {
        this.isBack = isBack;
    }

    public String getStaticUrl() {
        return staticUrl == null ? "" : staticUrl;
    }

    public void setStaticUrl(String staticUrl) {
        this.staticUrl = staticUrl;
    }
}
